# declared static method

Method declared(

1. MethodDeclaration declaration,
2. ProtectionDomain domain

)

Creates a Method instance from reflection metadata.

Parameters:

- `declaration`: The method reflection metadata
- `domain`: The protection domain for security

Returns:

- A concrete Method implementation

Typical implementation:

    static Method declared(MethodDeclaration d, ProtectionDomain p) {
      return _MethodImpl(d, p);
    }

## Implementation

    static Method declared(MethodDeclaration declaration, ProtectionDomain domain) {
      return _Method(declaration, domain);
    }